View Issue Details

IDProjectCategoryView StatusLast Update
14901Bug reports[All Projects] Translationpublic2019-06-06 17:21
ReporterpmonstadAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionduplicate 
Product Version4.0.0-beta 
Target VersionFixed in Version 
Summary14901: broken translation
Description

In beta 4 a lot of text strings are in English. I assume strings exists in translation files but are hard coded. Do you want me to start reporting this kind of brokens strings in the gui?

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.x.x beta
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-Versionall
Server OS (if known)all
Webserver software & version (if known)all
PHP Versionall

Relationships

related to 14933 assignedLouisGac Several strings (from twig files) are not available for translation / are not translated 

Activities

dominikvitt

dominikvitt

2019-05-16 14:07

developer   ~51963

@pmonstad:
I just took a quick look for any untranslated texts but couldn't find them.
They are very hard to find, especially since I usually use only English language.
So your help would be very great.
Please take a screenshot or a note of all places where translations are not working.
Just write them inside of this bug report.

pmonstad

pmonstad

2019-05-16 14:24

updater   ~51966

I will do during the next weeks.

pmonstad

pmonstad

2019-05-16 14:51

updater   ~51967

Here is a couple of them. Edit a survey, select settings - overview. You will see some string in the screenshot in English.



Skjermbilde.PNG (108,831 bytes)
dominikvitt

dominikvitt

2019-05-27 13:57

developer   ~52115

Translation function is already applied for the strings you mentioned, so no change in code is required.
Only thing missing is importing strings into translation database, which should happen soon.
You can follow it to see when it is done: https://bugs.limesurvey.org/view.php?id=14933

After those strings are imported into translation database, translators should translate strings to their native languages, which shouldn't take a long time.

Issue History

Date Modified Username Field Change
2019-05-15 21:22 pmonstad New Issue
2019-05-16 14:05 dominikvitt Assigned To => dominikvitt
2019-05-16 14:05 dominikvitt Status new => assigned
2019-05-16 14:07 dominikvitt Note Added: 51963
2019-05-16 14:24 pmonstad Note Added: 51966
2019-05-16 14:51 pmonstad File Added: Skjermbilde.PNG
2019-05-16 14:51 pmonstad Note Added: 51967
2019-05-23 15:12 c_schmitz Relationship added related to 14933
2019-05-27 13:57 dominikvitt Status assigned => resolved
2019-05-27 13:57 dominikvitt Resolution open => no change required
2019-05-27 13:57 dominikvitt Note Added: 52115
2019-06-06 17:20 c_schmitz Status resolved => closed
2019-06-06 17:21 c_schmitz Resolution no change required => duplicate